# restpath

Sets the REST path portion of the request URL used by omhttp.

This parameter applies to omhttp: HTTP Output Module.

Name:

  restpath

Scope:

  input

Type:

  word

Default:

  input=none

Required?:

  no

Introduced:

  Not specified

## Description

The REST path you want to use. Do not include the leading slash character. If the full path looks like `localhost:5000/my/path`, `restpath` should be `my/path`.

## Input usage

    module(load="omhttp")

    action(
        type="omhttp"
        restPath="logs/v1/events"
    )

## See also

See also omhttp: HTTP Output Module.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.